public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyhamcrest/
Date: Fri, 29 Nov 2019 23:33:02 +0000 (UTC)	[thread overview]
Message-ID: <1575070362.fd2855146d1053985596c57dcae1827590058082.soap@gentoo> (raw)

commit:     fd2855146d1053985596c57dcae1827590058082
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 29 23:32:42 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Nov 29 23:32:42 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd285514

dev-python/pyhamcrest: Fix USE="doc" failure

Closes: https://bugs.gentoo.org/661396
Package-Manager: Portage-2.3.80, Repoman-2.3.19
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-python/pyhamcrest/pyhamcrest-1.9.0-r1.ebuild | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

diff --git a/dev-python/pyhamcrest/pyhamcrest-1.9.0-r1.ebuild b/dev-python/pyhamcrest/pyhamcrest-1.9.0-r1.ebuild
index 84ed83d2543..80a64d74242 100644
--- a/dev-python/pyhamcrest/pyhamcrest-1.9.0-r1.ebuild
+++ b/dev-python/pyhamcrest/pyhamcrest-1.9.0-r1.ebuild
@@ -17,14 +17,15 @@ LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~sh ~amd64-linux ~x86-linux"
 IUSE="doc examples test"
+REQUIRED_USE="doc? ( || ( $(python_gen_useflags -3) ) )"
 RESTRICT="!test? ( test )"
 
 RDEPEND=">=dev-python/six-1.4[${PYTHON_USEDEP}]"
 DEPEND="${RDEPEND}
 	dev-python/setuptools[${PYTHON_USEDEP}]
 	doc? (
-		>=dev-python/sphinx-1.2.2[${PYTHON_USEDEP}]
-		dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+		$(python_gen_cond_dep '>=dev-python/sphinx-2[${PYTHON_USEDEP}]' -3)
+		$(python_gen_cond_dep 'dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]' -3)
 	)
 	test? (
 		>=dev-python/pytest-2.6[${PYTHON_USEDEP}]
@@ -33,6 +34,10 @@ DEPEND="${RDEPEND}
 
 S="${WORKDIR}/${MY_PN}-${PV}"
 
+pkg_setup() {
+	use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( -3 )
+}
+
 python_prepare_all() {
 	# enables coverage testing which we don't want
 	rm pytest.ini || die
@@ -52,17 +57,18 @@ python_prepare_all() {
 }
 
 python_compile_all() {
-	use doc && esetup.py build_sphinx
+	if use doc; then
+		esetup.py build_sphinx
+		HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+	fi
 }
 
 python_test() {
 	py.test -vv || die "Tests failed under ${EPYTHON}"
-	"${PYTHON}" tests/object_import.py || die "Tests failed under ${EPYTHON}"
+	"${EPYTHON}" tests/object_import.py || die "Tests failed under ${EPYTHON}"
 }
 
 python_install_all() {
-	use doc && local HTML_DOCS=( doc/_build/html/. )
 	use examples && dodoc -r examples
-
 	distutils-r1_python_install_all
 }


             reply	other threads:[~2019-11-29 23:33 UTC|newest]

Thread overview: 62+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-11-29 23:33 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-18 12:50 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyhamcrest/ Michał Górny
2025-02-18 12:50 Michał Górny
2024-05-12 16:30 Michał Górny
2023-11-22 11:59 Michał Górny
2023-11-22 11:11 Sam James
2023-10-22 19:14 Michał Górny
2023-05-29 12:26 Michał Górny
2022-09-11  5:29 Michał Górny
2022-09-10 22:37 Jakov Smolić
2022-08-11  9:59 Michał Górny
2022-06-13  8:25 Michał Górny
2022-06-13  7:07 Agostino Sarubbo
2022-05-12 13:36 Michał Górny
2022-05-12 13:36 Michał Górny
2022-01-27 22:56 James Le Cuirot
2022-01-26 21:31 Michał Górny
2022-01-13 21:53 Michał Górny
2022-01-13 19:26 Arthur Zamarin
2021-12-13  8:09 Michał Górny
2021-05-10 21:56 Michał Górny
2020-11-28 11:39 Sam James
2020-08-04 12:01 Michał Górny
2020-07-30 20:46 Michał Górny
2020-07-13 16:18 Sam James
2020-07-13 16:16 Sam James
2020-07-09 13:42 Michał Górny
2020-07-09 13:42 Michał Górny
2020-05-27 12:26 Michał Górny
2020-05-27 12:26 Michał Górny
2020-05-27 12:26 Michał Górny
2020-05-27  9:18 Michał Górny
2020-05-06 18:45 Mikle Kolyada
2020-05-06 18:43 Mikle Kolyada
2020-05-06 14:28 Mikle Kolyada
2020-05-03 21:55 Sergei Trofimovich
2020-04-06 17:54 Sergei Trofimovich
2020-04-05 21:53 Sergei Trofimovich
2020-03-25  6:08 Georgy Yakovlev
2020-03-25  5:40 Michał Górny
2020-03-18  7:27 Michał Górny
2020-02-24 12:00 Agostino Sarubbo
2020-02-23 12:12 Mikle Kolyada
2020-02-22 20:22 Andreas Sturmlechner
2020-01-22 23:40 Thomas Deutschmann
2020-01-02  9:58 Sergei Trofimovich
2019-12-07 23:07 Matt Turner
2019-12-03  3:02 Aaron Bauman
2019-11-29 21:43 Aaron Bauman
2019-11-29 20:58 Aaron Bauman
2019-11-29 20:35 Aaron Bauman
2019-06-25 12:09 Michael Haubenwallner
2019-05-02 22:02 Mikle Kolyada
2019-03-20 10:31 Fabian Groffen
2019-01-17 20:45 Mikle Kolyada
2018-12-03 14:12 Mikle Kolyada
2018-07-16 20:38 Michał Górny
2018-07-16 19:57 Michał Górny
2018-07-16 14:05 Michał Górny
2018-03-30 18:35 Aaron Bauman
2017-05-11  3:17 Zac Medico
2016-09-09 13:05 Tiziano Müller

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1575070362.fd2855146d1053985596c57dcae1827590058082.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox